﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.RegoMaster
@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}
<link href="~/Script/summernote/summernote.css" rel="stylesheet" />
<style>
    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }
</style>

    <section>

        <div class="right_section">
            <div class="titile_heading" id="title_List">
                <h1>REGO List</h1>
                <div class="titile_line"></div>
            </div>
            @if (ViewBag.message != null)
            {
                <script>toastr.success('@ViewBag.message')</script>
            }
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="right_panel">
                    <div class="right_content">
                        <div class="service_line">
                            <form asp-formhelper="true" asp-area="Master" asp-controller="REGO" asp-action="SaveupdateREGO" 
                                  data-ajax="true"
                                  data-ajax-method="POST"
                                  data-ajax-mode="replace"
                                  data-loading-text="loading......"
                                  data-ajax-update="#ajaxresult"
                                  data-ajax-success="fn_Onsuccess(data,'Master/REGO/Index');"
                                  data-ajax-failure="Errmsg(data);" id="Threatform" method="post">
                                @Html.HiddenFor(m => m.RegoId)
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Country</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(m => m.CountryId, Model.DdlCountry, "Select", new { @class = "form-control m_no", @onchange = "refresh()" })
                                        </div>
                                    </div>

                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Type</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.TypeId, Model.Ddltype, "Select", new { @class = "form-control m_no" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Sector</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.Sector, Model.DdlSector, "Select", new { @class = "form-control m_no", @onchange = "fn_GetRegulation(this)" })  @*@onchange = "fn_GetRegulation(this)"*@
                                    </div>
                                </div>

                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Regulation/Law/ActName</label>
                                    <div class="select_box m_bottom">

                                        @*@Html.TextAreaFor(m => m.Regulation, new { @class = "form-control m_no" })*@

                                        @if (Model.RegoId > 0)
                                        {
                                            @Html.DropDownListFor(m => m.Regulation, Model.DdlRegulation, "Select", new { @class = "form-control m_no", @onchange = "fn_GetRegulationCode(this);" })
                                        }
                                        else
                                        {
                                            @Html.DropDownListFor(m => m.Regulation, Enumerable.Empty<SelectListItem>(), new { @class = "form-control m_no", @onchange = "fn_GetRegulationCode(this);" })
                                        }
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Section</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.Section, Model.DdlSection, "Select", new { @class = "form-control m_no" })
                                    </div>
                                </div>

                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Domain</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.Domain, Model.DdlDomain, "Select", new { @class = "form-control m_no" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Publish Year</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.YearPublish, new { @class = "form-control m_no" })
                                    </div>
                                </div>

                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Revision</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.Revision, new { @class = "form-control m_no" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">


                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Requirement_Id</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextAreaFor(m => m.Requirement_ID, new { @class = "form-control m_no" })
                                    </div>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-8 col-sm-6 col-xs-12">
                                    <label>Text</label>
                                    @if (Model.RegoId > 0)
                                    {
                                        <textarea asp-for="Text"  class="form-control m_no">
                                                          @Html.Raw(@Model.Text)
                                             </textarea>
                                    }
                                    else
                                    {
                                            <textarea class="form-control m_no" asp-for="Text">
                                                          @Html.Raw(@Model.Text)
                                             </textarea>
                                     }

                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-sm-6 col-xs-12">
                                    <div class="back_btn" id="viewbutton">
                                        <div class="back_btn_in" data-title="Back">
                                            <input type="button" name="Back" onclick="BackButton()" value="Back">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit">
                                    </div>
                                </div>
                            </div>

                            </form>
                        </div>
                        <div class="assign_panel assign_section">
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Country</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("s_CountryId", Model.DdlCountry, "Select", new { @class = "form-control m_no", @onchange = "fn_Search()" })
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Type</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("s_TypeId", Html.GetEnumSelectList<CyberaniumModels.Enumeration.Regotype>(), "Select", new { @class = "form-control m_no", @onchange = "fn_Search()" })
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Section</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("s_Section", Html.GetEnumSelectList<CyberaniumModels.Enumeration.Section>(), "Select", new { @class = "form-control m_no", @onchange = "fn_Search()" })
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Sector</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("s_Sector", Html.GetEnumSelectList<CyberaniumModels.Enumeration.Sector>(), "Select", new { @class = "form-control m_no", @onchange = "fn_Search()" })
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Regulation</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("s_Regulation", Model.DdlRegulation, "Select", new { @class = "form-control m_no", @onchange = "fn_Search()" })
                                    </div>
                                </div>
                            </div>
                            <div class="addbtn">
                                <div class="add_litigation">
                                    <span>+</span>
                                    <input type="button" onclick="AddButton()" value="Add REGO">
                                </div>
                            </div><!--edn of addbtn-->
                            <div class="assign_box active_block fade in">
                                <div class="row">
                                    <div class="table_control">
                                        <table id="example2" class="table table-bordered table-hover">
                                            <thead>
                                                <tr>
                                                    <th style="width: 70px;">SN</th>
                                                    <th>Country</th>
                                                    <th>Type</th>
                                                    <th>Section</th>
                                                    <th>Sector</th>
                                                    <th>Domain</th>
                                                    <th>Requirement_ID</th>
                                                    <th style="width:130px">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @{int sn = 0;}
                                                @foreach (var item in Model.Regolist)
                                                {
                                                    <tr>
                                                        <td>@(++sn)</td>
                                                        <td>@Model.DdlCountry.Where(w => w.Value == item.CountryId.ToString()).Select(w => w.Text).FirstOrDefault()</td>
                                                        <td>@Enum.GetName(typeof(CyberaniumModels.Enumeration.Regotype), item.TypeId)</td>
                                                        <td>@Enum.GetName(typeof(CyberaniumModels.Enumeration.Section), item.Section)</td>
                                                        <td>@Enum.GetName(typeof(CyberaniumModels.Enumeration.Sector), item.Sector)</td>
                                                        <td>@Enum.GetName(typeof(CyberaniumModels.Domain.DomainEnum), item.Domain)</td>
                                                        <td>@item.Requirement_ID</td>
                                                        <td>
                                                            <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-Regoid="@item.RegoId" asp-controller="REGO" asp-area="Master" class="edit_btn"></a>
                                                            @*@if (item.IsActive)
                                                            {
                                                                <a class="btn btn-info btn-xs pull-left" onclick="fn_Activeincative('@item.RegoId', '@(item.IsActive?"deactivate":"activate")')"><i class="fa fa-check" aria-hidden="true"></i></a>
                                                            }
                                                            else
                                                            {
                                                                <a class="btn btn-danger btn-xs pull-left" onclick="fn_Activeincative('@item.RegoId', '@(item.IsActive?"deactivate":"activate")')"><i class="fa fa-times" aria-hidden="true"></i></a>
                                                            }*@
                                                            @*<a class="delete_btn" onclick="Confirmation('@item.RegoId')"></a>*@
                                                        </td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    

<script src="~/Script/summernote/summernote.js"></script>
<script src="~/Script/Master/Layout.js"></script>

<script type="text/javascript">
    $(document).ready(function () {
        $('#Text').summernote({
            height: 100,                 // set editor height
            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            // focus: true,
            toolbar: [
                // [groupName, [list of button]]
                ['style', ['bold', 'italic', 'underline', 'clear']],
                ['font', ['strikethrough', 'superscript', 'subscript']],
                ['fontsize', ['fontsize']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['height', ['height']]
            ]// set focus to editable area after initializing summernote                // set focus to editable area after initializing summernote
        });

        $("#btnsubmit").show();
        if ($("#RegoId").val() > 0) {
            $(".titile_heading h1").html("Edit REGO");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $(".titile_heading").show();
        }
        else {
            $(".titile_heading h1").html("REGO list");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
    function fn_Search() {
        var Country = $("#s_CountryId").val();
        var type = $("#s_TypeId").val();
        var Section = $("#s_Section").val();
        var Sector = $("#s_Sector").val();
        var Regulation = $("#s_Regulation").val();
        $('#preloader').show();
        $.ajax({
            type: "GET",
            url: "/Master/REGO/Index",
            data: jQuery.param({
                Country: $("#s_CountryId").val(),
                type: $("#s_TypeId").val(),
                Section: $("#s_Section").val(),
                Sector: $("#s_Sector").val(),
                Regulation: $("#s_Regulation").val()
            }),
            //dataType: "json",
            //contentType: "application/json",
            success: function (data) {
                $('#preloader').hide();
                $("#ajaxresult").html(data);
                $("#s_CountryId").val(Country);
                $("#s_TypeId").val(type);
                $("#s_Section").val(Section);
                $("#s_Sector").val(Sector);
                $("#s_Regulation").val(Regulation);
                //$.each(res, function (data, value) {

                //    $("#Regulation").append($("<option></option>").val(value.id).html(value.title));
                //})
            }
        });

    }
    function Confirmation(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You want to delete this rego',
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $('#preloader').show();
                $.ajax({
                    url: "/Master/REGO/BlockDeleteREGO",
                    type: "POST",
                    cache: false,
                    data: { id: id, Type: Type = 1 },
                    success: function (result) {
                        $('#preloader').hide();
                        toastr.success("Delete successfully!!");
                        $('a[href="/Master/Rego/Index"]').click();
                    }, error: function (ex) {
                        console.log(ex.statusText);
                    }
                })
            }
        });
    }
    function fn_Activeincative(id, status) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You want to ' + status + ' this rego',
            showCancelButton: true,
            confirmButtonText: status,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $('#preloader').show();
                $.ajax({
                    url: "/Master/REGO/BlockDeleteREGO",
                    type: "POST",
                    cache: false,
                    data: { id: id, Type: Type = 0 },
                    success: function (result) {
                        $('#preloader').hide();
                        toastr.success(status + " " + "successfully!!");
                        $('a[href="/Master/Rego/Index"]').click();
                    }, error: function (ex) {
                        console.log(ex.statusText);
                    }
                })
            }
        });
    }
    function AddButton() {
        $(".titile_heading h1").html("Add REGO");
        $(".service_line").addClass("active");
        $(".assign_panel").hide();
        $("#CountryId").val('');
        $("#TypeId").val('');
        $("#Sector").val('');
        $("#Regulation").val('');
        $("#Section").val('');
        $("#Domain").val('');
        $("#YearPublish").val('');
        $("#Revision").val('');
        $("#Requirement_ID").val('');
        $("#Text").val('');

        //$(".titile_heading").show();}
    }
    function BackButton() {
        $(".titile_heading h1").html("REGO List");
        $(".service_line").removeClass("active");
        $(".assign_panel").show();
        //$(".titile_heading").show();
        //$("#viewbutton").show();
    }
    function refresh() {
        $("#Sector").val("");
        $("#Regulation").empty();
        $("#Regulation").append($("<option></option>").val(0).html("Select"));
    }
    function fn_GetRegulation(input) {
        $('#preloader').show();
        $("#Regulation").empty();
        $("#Regulation").append($("<option></option>").val(0).html("Select"));
        $.ajax({
            type: "GET",
            url: "/Master/Regulation/GetSectorWiseRegulation",
            data: jQuery.param({ SectorId: $(input).val(), CountryId: $("#CountryId").val() }),
            dataType: "json",
            contentType: "application/json",
            success: function (res) {
                $('#preloader').hide();
                $.each(res, function (data, value) {

                    $("#Regulation").append($("<option></option>").val(value.id).html(value.title));
                })
            }

        });
    }

    function fn_GetRegulationCode(input) {
        $('#preloader').show();
        $("#Requirement_ID").empty();
        //$("#Regulation").append($("<option></option>").val(0).html("Select"));
        $.ajax({
            type: "GET",
            url: "/Master/Regulation/GetCodeWiseRegulationID",
            data: { RegulationID: $(input).val() },
            dataType: "json",
            contentType: "application/json",
            success: function (res) {
                $('#preloader').hide();
                $.each(res, function (data, value) {
                    $("#Requirement_ID").val(value.code);
                })
            }

        });
    }

</script>

<script>


</script>